from aiogram import Bot, Dispatcher, types
from aiogram.contrib.fsm_storage.memory import MemoryStorage
from pyqiwip2p import QiwiP2P

from data import config
parse_mode = None
if config.PARSE_MODE == "HTML":
    parse_mode = types.ParseMode.HTML
elif config.PARSE_MODE == "Markdown":
    parse_mode = types.ParseMode.MARKDOWN
elif config.PARSE_MODE == "MarkdownV2":
    parse_mode = types.ParseMode.MARKDOWN_V2
else:
    print("[edit/.env] PARSE_MODE не установлен, либо неверное значение")

p2p = QiwiP2P(auth_key=config.QIWI_TOKEN)
bot = Bot(token=config.BOT_TOKEN, parse_mode=parse_mode)
storage = MemoryStorage()
dp = Dispatcher(bot, storage=storage)
